<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
		<form-bean
				name="w83bFormListadoLibroRegistroActas"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
		<form-bean
				name="w83bFormListadoReqMesaActas"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
		<form-bean
				name="w83bFormListadoResolucionesDenegatorias"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
		<form-bean
				name="w83bFormListadoEmpresasVariosCentros"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
		<form-bean
				name="w83bFormListadoTerritorioOtraDireccion"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
		<form-bean
				name="W83bFormListadosActasVivasCentroRepe"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosActasVivasCentrosTrabajoRepesBean" type="w83b.w83bBeans.W83bListadosActasVivasCentroRepeBean"/>
		</form-bean>
		
<!--	CONTEXTOS-->
		<form-bean	name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="W83bFormListadosActasVivasCentroRepe[w83bListadosActasVivasCentrosTrabajoRepesBean]"/>
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.informes"/>				   
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.herramientas.listados"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial="inicio.informes.listados"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
				<form-property name="w83bListadosActasVivasCentrosTrabajoRepesBean" type="w83b.w83bBeans.W83bListadosActasVivasCentroRepeBean"/>
				<form-property name="w83bHashmapEntradaBean" type="java.util.HashMap"/>
				<form-property name="w83bResultadoListadosBean" type="java.util.List"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
		</form-bean>
	</form-beans>
<!--	ACTIONS-->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action path ="/w83bInicioListadoActas" forward="/w83bPaginaInicioListadoActasMedio.do"/>
		<action path ="/w83bInicioListadoActasFinal" forward="paginaInicioListadoActas"/>
		<action path ="/w83bListadoLibroRegistroActas" forward="/w83bPaginaListadoLibroRegistroActasMedio.do"/>
		<action path ="/w83bListadoRequerimientosMesaActas" forward="/w83bPaginaListadoRequerimientosMesaActasMedio.do"/>
		<action path ="/w83bPaginaListadoLibroRegistroActasFinal" forward="paginaListadoLibroRegistroActas"/>
		<action path ="/w83bPaginaListadoRequerimientosMesaActasFinal" forward="paginaListadoRequerimientosMesaActas"/>
		<action path ="/w83bListadoResolucionesDenegatorias" forward="/w83bPaginaListadoResolucionesDenegatoriasMedio.do"/>
		<action path ="/w83bPaginaListadoResolucionesDenegatoriasFinal" forward="paginaListadoResolucionesDenegatorias"/>
		<action path ="/w83bListadoEmpresasVariosCentros" forward="/w83bPaginaListadoEmpresasVariosCentros.do"/>
		<action path ="/w83bPaginaListadoEmpresasVariosCentrosFinal" forward="paginaListadoEmpresasVariosCentros"/>
		<action path ="/w83bListadoTerritorioOtraDireccion" forward="/w83bPaginaListadoTerritorioOtraDir.do"/>
		<action path ="/w83bPaginaListadoTerritorioOtraDireccionFinal" forward="paginaListadoTerritorioOtraDireccion"/>
		<action path ="/w83bPaginaListadosActasVivasCentroRepeInicio" forward="paginaListadosActasVivasCentroRepe"/>
<!--	DISPATCHES-->
		<action
				path="/w83bDispatchListLibroRegActas"
				name="w83bFormListadoLibroRegistroActas"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqLibroRegActas.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoActas.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelBusqLibroRegActas.do"/>
		</action>
		
		<action
				path="/w83bDispatchListReqMesasActas"
				name="w83bFormListadoReqMesaActas"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqReqMesaActas.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoActas.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelBusqReqMesaActas.do"/>
		</action>
		
		<action
				path="/w83bDispatchListResolDenegatorias"
				name="w83bFormListadoResolucionesDenegatorias"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqResolDenegatorias.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoActas.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelResolDenegatorias.do"/>
		</action>
		<action
				path="/w83bDispatchListEmpresasVariosCentros"
				name="w83bFormListadoEmpresasVariosCentros"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqEmpresasVariosCentros.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoActas.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelEmpresasVariosCentros.do"/>
		</action>
		
		<action
				path="/w83bDispatchListTerritorioOtraDel"
				name="w83bFormListadoTerritorioOtraDireccion"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqTerritorioOtraDireccion.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoActas.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelTerritorioOtraDireccion.do"/>
		</action>
		
		<action
				path="/w83bDispatchListadosActasVivasCentroRepe"
				name="W83bFormListadosActasVivasCentroRepe"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.aceptar"
					path="/w83bBusqTerritorioOtraDireccion.do"/>
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoActas.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelListadosActasVivasCentrosTrabajoRepes.do"/>
				<forward
					name="anular"
					path="/w83bAnularActaPorFechaEleccion.do"/>
		</action>
		
		
		<!-- Operaciones de Paso -->
		<action path="/w83bPaginaInicioListadoActasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaInicioListadoActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioListadoActasFinal.do"/>
			<forward name="error" path="/w83bInicioListadoActas.do"/>
		</action>
		
		
		<action path="/w83bPaginaListadoLibroRegistroActasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaInicioListadoLibRegActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoLibroRegistroActasFinal.do"/>
			<forward name="error" path="/w83bListadoLibroRegistroActas.do"/>
		</action>
		<action path="/w83bPaginaListadoRequerimientosMesaActasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaInicioListadoRequerimientosMesaOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoRequerimientosMesaActasFinal.do"/>
			<forward name="error" path="/w83bListadoRequerimientosMesaActas.do"/>
		</action>
		<action path="/w83bPaginaListadoResolucionesDenegatoriasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaInicioResolucionesDenegatoriasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoResolucionesDenegatoriasFinal.do"/>
			<forward name="error" path="/w83bListadoResolucionesDenegatorias.do"/>
		</action>
		<action path="/w83bPaginaListadoEmpresasVariosCentros" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaInicioEmpresasVariosCentrosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoEmpresasVariosCentrosFinal.do"/>
			<forward name="error" path="/w83bListadoEmpresasVariosCentros.do"/>
		</action>
		<action path="/w83bPaginaListadoTerritorioOtraDir" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaInicioActasTerritorioOtraDireccionOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoTerritorioOtraDireccionFinal.do"/>
			<forward name="error" path="/w83bListadoTerritorioOtraDireccion.do"/>
		</action>
		<action path="/w83bPaginaListadosActasVivasCentroRepe" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bPaginaListadosActasVivasCentroRepeOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadosActasVivasCentroRepeInicio.do"/>
		</action>
		
		
		<action path="/w83bBusqLibroRegActasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqLibroRegActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBusqLibroRegActas.do"/>
			<forward name="error" path="/w83bListadoLibroRegistroActas.do"/>
		</action>
		<action path="/w83bBusqReqMesaActasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqReqMesaActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBusqReqMesaActas.do"/>
			<forward name="error" path="/w83bListadoRequerimientosMesaActas.do"/>
		</action>
		<action path="/w83bBusqResolDenegOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqResolDenegOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBusqResolDenegatorias.do"/>
			<forward name="error" path="/w83bListadoResolucionesDenegatorias.do"/>
		</action>
		<action path="/w83bActualizarFechaRegistroOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bActResolDenegOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bActFechaRegResolDenOI.do"/>
			<forward name="error" path="/w83bListadoResolucionesDenegatorias.do"/>
		</action>
		<action path="/w83bBusqEmpresasVariosCentrosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqEmpresasVariosCentrosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBusqEmpresasVariosCentros.do"/>
			<forward name="error" path="/w83bListadoEmpresasVariosCentros.do"/>
		</action>
		<action path="/w83bBusqTerritorioOtraDireccionOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqTerritorioOtraDireccionOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bBusqTerritorioOtraDireccion.do"/>
			<forward name="error" path="/w83bListadoTerritorioOtraDireccion.do"/>
		</action>
		<action path="/w83bBusqActasVivasCentrosRepesOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqActasVivasCentrosRepesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bListadosActasVivasCentrosTrabajoRepes.do"/>
			<forward name="error" path="/w83bPaginaListadosActasVivasCentroRepeInicio.do"/>
		</action>
		
		
		
		<action path="/w83bBusqLibroRegActasOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqLibroRegActasOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bBusqReqMesaActasOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqReqMesaActasOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bBusqEmpresasVariosCentrosOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqEmpresasVariosCentrosOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bBusqTerritorioOtraDireccionOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqTerritorioOtraDireccionOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83bBusqActasVivasCentrosRepesOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqActasVivasCentrosRepesOutOPAction" 
			 validate="false">
		</action>
		
		
		<action path="/w83bCrearExcelBusqLibroRegActas" 
		name="w83bFormListadoLibroRegistroActas" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaLibroRegActasExcelAction" 
			 validate="false">
		</action>
		<action path="/w83bCrearExcelBusqReqMesaActas" 
		name="w83bFormListadoReqMesaActas" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaReqMesaActasExcelAction" 
			 validate="false">
		</action>	
		<action path="/w83bCrearExcelResolDenegatorias" 
		name="w83bFormListadoResolucionesDenegatorias" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaResolDenegatoriasExcelAction" 
			 validate="false">
		</action>
		<action path="/w83bCrearExcelEmpresasVariosCentros"
		name="w83bFormListadoEmpresasVariosCentros" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaEmpresasVariosCentrosExcelAction" 
			 validate="false">
		</action>	
		<action path="/w83bCrearExcelTerritorioOtraDireccion"
		name="w83bFormListadoTerritorioOtraDireccion" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bTablaTerritorioOtraDireccionExcelAction" 
			 validate="false">
		</action>	
		<action path="/w83bCrearExcelListadosActasVivasCentrosTrabajoRepes"
		name="W83bFormListadosActasVivasCentroRepe" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bListadosActasVivasCentroRepeExcelAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bIrPaginaBienvenida" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action>
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
		<action path ="/w83bBusqLibroRegActas" 
			 parameter="w83bBusqLibroRegActasOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqLibroRegActasOutOP.do" />
					<forward name="error" path="/w83bListadoLibroRegistroActas.do" />
		</action>
		
		<action path ="/w83bBusqReqMesaActas" 
			 parameter="w83bBusqReqMesaActasOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqReqMesaActasOutOP.do" />
					<forward name="error" path="/w83bListadoRequerimientosMesaActas.do" />
		</action>
		
		<action path ="/w83bActFechaRegResolDenOI" 
			 parameter="w83bActFechaRegResolDenOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bActualizarFechaRegistroOutOP.do" />
					<forward name="error" path="/w83bListadoResolucionesDenegatorias.do" />
		</action>
		<action path="/w83bActualizarFechaRegistroOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bProcesarCierreOutOPAction" 
			 validate="false">
		</action>
		
		<action path ="/w83bBusqResolDenegatorias" 
			 parameter="w83bBusqResolDenegatoriasOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqLibroRegActasOutOP.do" />
					<forward name="error" path="/w83bListadoResolucionesDenegatorias.do" />
		</action>
		<action path ="/w83bBusqEmpresasVariosCentros" 
			 parameter="w83bBusqEmpresasVariosCentrosOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqEmpresasVariosCentrosOutOP.do" />
					<forward name="error" path="/w83bListadoEmpresasVariosCentros.do" />
		</action>
		
		<action path ="/w83bBusqTerritorioOtraDireccion" 
			 parameter="w83bBusqTerritorioOtraDireccionOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqTerritorioOtraDireccionOutOP.do" />
					<forward name="error" path="/w83bListadoTerritorioOtraDireccion.do" />
		</action>
		
		<action path ="/w83bListadosActasVivasCentrosTrabajoRepes" 
			 parameter="w83bListadosActasVivasCentrosTrabajoRepesOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqActasVivasCentrosRepesOutOP.do" />
					<forward name="error" path="/w83bListadoTerritorioOtraDireccion.do" />
		</action>
		
		<action path ="/w83bAnularActaPorFechaEleccion" 
			 parameter="w83bAnularActaPorFechaEleccionOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bActualizarFechaRegistroOutOP.do" />
					<forward name="error" path="/w83bListadoTerritorioOtraDireccion.do" />
		</action>
		
		<!-- Fin Operaciones Internas -->

		<!-- SUB-OPERACIONES -->
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/informes/validation-informes.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>